Avaya Client Services API Reference (OS X)

- Main Page
- Classes
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

Properties | List of all members
CSQueueStatistics Class Reference

Queue statistics feature provides statistics about particular skill. More...

`#import <CSQueueStatistics.h>`

Inherits NSObject.

## Properties
id< CSQueueStatisticsDelegate > | delegate
| The delegate responsible for handling queue statistics related events. More...
BOOL | active
| A Boolean value indicating whether queue monitoring operation is active or not for queue statistics feature. More...
NSInteger | buttonNumber
| The button number associated with the queue for an application. More...
NSInteger | skillId
| The hunt group/skill number associated with the queue. More...
NSString * | skillName
| The name of the skill associated with this queue. More...
NSInteger | queuedCallsNumber
| The number of calls in the queue. More...
BOOL | queuedCallsThresholdReached
| A Boolean value indicating whether number of calls waiting in queue has reached or exceeded the threshold. More...
NSInteger | oldestQueueTime
| The time of oldest call in queue in seconds. More...
BOOL | queueTimeThresholdReached
| A Boolean value indicating whether the oldest call in queue has reached or exceeded the maximum call queued threshold time. More...

## Detailed Description

Queue statistics feature provides statistics about particular skill.

## Property Documentation

- (BOOL) active
| read nonatomic assign

A Boolean value indicating whether queue monitoring operation is active or not for queue statistics feature.

- (NSInteger) buttonNumber
| read nonatomic assign

The button number associated with the queue for an application.

- (id<CSQueueStatisticsDelegate>) delegate
| read write nonatomic weak

The delegate responsible for handling queue statistics related events.

- (NSInteger) oldestQueueTime
| read nonatomic assign

The time of oldest call in queue in seconds.

- (NSInteger) queuedCallsNumber
| read nonatomic assign

The number of calls in the queue.

- (BOOL) queuedCallsThresholdReached
| read nonatomic assign

A Boolean value indicating whether number of calls waiting in queue has reached or exceeded the threshold.

- (BOOL) queueTimeThresholdReached
| read nonatomic assign

A Boolean value indicating whether the oldest call in queue has reached or exceeded the maximum call queued threshold time.

- (NSInteger) skillId
| read nonatomic assign

The hunt group/skill number associated with the queue.

- (NSString*) skillName
| read nonatomic assign

The name of the skill associated with this queue.

The documentation for this class was generated from the following file:

- CSQueueStatistics.h